class Seexpr < Formula
  desc "Embeddable expression evaluation engine"
  homepage "https://www.disneyanimation.com/technology/seexpr.html"
  url "https://github.com/wdas/SeExpr/archive/v3.0.1.tar.gz"
  sha256 "1e4cd35e6d63bd3443e1bffe723dbae91334c2c94a84cc590ea8f1886f96f84e"

  depends_on "cmake" => :build
  depends_on "doxygen" => :build
  depends_on "libpng"

  def install
    mkdir "build" do
      system "cmake", "..", *std_cmake_args, "-DUSE_PYTHON=FALSE"
      system "make", "doc"
      system "make", "install"
    end
  end

  test do
    assert_equal shell_output("#{bin}/asciigraph2"), <<~EOS
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                   ###                            
                                  # |#                            
                                 ## |##                           
                                 #  | #                           
                                ##  | ##                          
                                #   |  #                          
                               ##   |  ##                         
                               #    |   #                         
                               #    |   ##                        
                   ####       #     |    #       ####             
      #######-----##--###-----#-----|----##-----##--###-----######
            ######      ##   #      |     #    #      ######      
                         ## ##      |     ## ##                   
                          ###       |      ###                    
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
                                    |                             
    EOS
  end
end
